<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="chrome://resources/html/assert.html">
<link rel="import" href="chrome://resources/html/load_time_data.html">
<link rel="import" href="../deep_linking_behavior.html">
<link rel="import" href="../metrics_recorder.html">
<link rel="import" href="../os_route.html">
<link rel="import" href="../../router.html">
<link rel="import" href="../../settings_page/settings_animated_pages.html">
<link rel="import" href="../../settings_page/settings_subpage.html">
<link rel="import" href="../../settings_shared_css.html">
<link rel="import" href="cups_printers_browser_proxy.html">
<link rel="import" href="cups_printers.html">

<dom-module id="os-settings-printing-page">
  <template>
    <style include="settings-shared"></style>
    <settings-animated-pages id="pages" section="osPrinting"
        focus-config="[[focusConfig_]]">
      <div route-path="default">
        <cr-link-row id="cupsPrinters" label="$i18n{cupsPrintersTitle}"
            on-click="onTapCupsPrinters_"
            role-description="$i18n{subpageArrowRoleDescription}">
        </cr-link-row>
        <template is="dom-if" if="[[isPrintManagementEnabled_]]">
          <cr-link-row class="hr" id="printManagement"
              on-click="onOpenPrintManagement_"
              label="$i18n{printJobsTitle}"
              sub-label="$i18n{printJobsSublabel}"
              external deep-link-focus-id$="[[Setting.kPrintJobs]]">
          </cr-link-row>
        </template>
        <template is="dom-if" if="[[isScanningAppEnabled_]]">
          <cr-link-row class="hr" id="scanningApp"
              on-click="onOpenScanningApp_"
              label="$i18n{scanAppTitle}"
              sub-label="$i18n{scanAppSublabel}"
              external deep-link-focus-id$="[[Setting.kScanningApp]]">
          </cr-link-row>
        </template>
      </div>
      <template is="dom-if" route-path="/cupsPrinters">
        <settings-subpage
            associated-control="[[$$('#cupsPrinters')]]"
            page-title="$i18n{cupsPrintersTitle}"
            search-label="$i18n{searchLabel}"
            search-term="{{searchTerm}}">
          <settings-cups-printers search-term="{{searchTerm}}"
              prefs="[[prefs]]">
          </settings-cups-printers>
        </settings-subpage>
      </template>
    </settings-animated-pages>
  </template>
  <script src="os_printing_page.js"></script>
</dom-module>
